div.full-width-image {
    margin-left: 0 !important;
    margin-right: 0 !important;
}
div.full-width-image > svg {
    max-width: unset !important;
    min-width: 100% !important;
    height: auto;
}
div.full-width-image.wide-svg {
    overflow-x: auto !important;
}
div.full-width-image.wide-svg > svg {
    min-width: 3000px !important;
}
div.full-width-image.super-wide-svg {
    overflow-x: auto !important;
}
div.full-width-image.super-wide-svg > svg {
    min-width: 5000px !important;
}
div.full-width-image > svg p {
    margin-left: 0 !important;
    margin-right: 0 !important;
    padding-left: 0 !important;
}

.full-width-image > svg:hover .mindmap-node {
    /*opacity: 0.4;*/
    cursor: pointer;
    transition-property: opacity;
    transition-delay: 0s;
}

.full-width-image > svg:hover .section-root{
    opacity: 1;
}

article svg foreignObject {
    overflow: visible !important;
}

#my-svg .node.default {
    cursor: pointer;
}
#my-svg .cluster-label span p {
    white-space: nowrap;
}
/* #my-svg .classDiagram .node .label text {
    text-anchor: initial !important;
} */
#my-svg.classDiagram .node .label text {
    text-anchor: unset !important;
}

@media screen and (min-width: 3000px) {
    div.full-width-image.wide-svg {
        overflow-x: hidden !important;
    }
    div.full-width-image.wide-svg > svg {
        min-width: 3000px !important;
    }
}
@media screen and (min-width: 5000px) {
    div.full-width-image.super-wide-svg {
        overflow-x: hidden !important;
    }
    div.full-width-image.super-wide-svg > svg {
        min-width: 5000px !important;
    }
}